Index: server/lib/gutenbach/ipp/operations/__init__.py
===================================================================
--- server/lib/gutenbach/ipp/operations/__init__.py	(revision 7a7a09ee4b7ce51be85ae0eb65a65fa6e4d04188)
+++ server/lib/gutenbach/ipp/operations/__init__.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -151,26 +151,53 @@
         consts.AttributeTags.PRINTER, ipp_attrs))
 
-
 from cups_get_classes import verify_cups_get_classes_request, make_cups_get_classes_response
 from cups_get_default import verify_cups_get_default_request, make_cups_get_default_response
+from cups_get_document import verify_cups_get_document_request, make_cups_get_document_response
 from cups_get_printers import verify_cups_get_printers_request, make_cups_get_printers_response
 
+from cancel_job import verify_cancel_job_request, make_cancel_job_response
+from create_job import verify_create_job_request, make_create_job_response
 from get_jobs import verify_get_jobs_request, make_get_jobs_response
+from get_printer_attributes import make_get_printer_attributes_response
 from get_printer_attributes import verify_get_printer_attributes_request
-from get_printer_attributes import make_get_printer_attributes_response
+from pause_printer import verify_pause_printer_request, make_pause_printer_response
 from print_job import verify_print_job_request, make_print_job_response
-
-__all__ = ['verify_cups_get_classes_request',
-           'make_cups_get_classes_response',
-           'verify_cups_get_default_request',
-           'make_cups_get_default_response',
-           'verify_cups_get_printers_request',
-           'make_cups_get_printers_response',
-           'verify_get_jobs_request',
-           'make_get_jobs_response',
-           'verify_get_printer_attributes_request',
-           'make_get_printer_attributes_response',
-           'verify_print_job_request',
-           'make_print_job_response',
+from print_uri import verify_print_uri_request, make_print_uri_response
+from promote_job import verify_promote_job_request, make_promote_job_response
+from restart_job import verify_restart_job_request, make_restart_job_response
+from resume_printer import verify_resume_printer_request, make_resume_printer_response
+from send_document import verify_send_document_request, make_send_document_response
+from send_uri import verify_send_uri_request, make_send_uri_response
+from set_job_attributes import make_set_job_attributes_response
+from set_job_attributes import verify_set_job_attributes_request
+from set_printer_attributes import make_set_printer_attributes_response
+from set_printer_attributes import verify_set_printer_attributes_request
+from validate_job import verify_validate_job_request, make_validate_job_response
+
+
+
+__all__ = ['verify_cups_get_classes_request', 'make_cups_get_classes_response'
+           'verify_cups_get_default_request', 'make_cups_get_default_response'
+           'verify_cups_get_document_request', 'make_cups_get_document_response'
+           'verify_cups_get_printers_request', 'make_cups_get_printers_response'
+
+           'verify_cancel_job_request', 'make_cancel_job_response'
+           'verify_create_job_request', 'make_create_job_response'
+           'verify_get_jobs_request', 'make_get_jobs_response'
+           'make_get_printer_attributes_response'
+           'verify_get_printer_attributes_request'
+           'verify_pause_printer_request', 'make_pause_printer_response'
+           'verify_print_job_request', 'make_print_job_response'
+           'verify_print_uri_request', 'make_print_uri_response'
+           'verify_promote_job_request', 'make_promote_job_response'
+           'verify_restart_job_request', 'make_restart_job_response'
+           'verify_resume_printer_request', 'make_resume_printer_response'
+           'verify_send_document_request', 'make_send_document_response'
+           'verify_send_uri_request', 'make_send_uri_response'
+           'make_set_job_attributes_response'
+           'verify_set_job_attributes_request'
+           'make_set_printer_attributes_response'
+           'verify_set_printer_attributes_request'
+           'verify_validate_job_request', 'make_validate_job_response'
 
            'verify_operations',
Index: server/lib/gutenbach/ipp/operations/cancel_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/cancel_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/cancel_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_cancel_job_request(request):
+    pass
+
+def make_cancel_job_response(job, request):
+    pass
Index: server/lib/gutenbach/ipp/operations/create_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/create_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/create_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_create_job_request(request):
+    pass
+
+def make_create_job_response(job, request):
+    pass
Index: server/lib/gutenbach/ipp/operations/cups_get_document.py
===================================================================
--- server/lib/gutenbach/ipp/operations/cups_get_document.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/cups_get_document.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,12 @@
+from . import verify_operations
+from . import make_empty_response
+from . import make_printer_attributes
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_cups_get_document_request(request):
+    pass
+
+def make_cups_get_document_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/pause_printer.py
===================================================================
--- server/lib/gutenbach/ipp/operations/pause_printer.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/pause_printer.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_pause_printer_request(request):
+    pass
+
+def make_pause_printer_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/print_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/print_job.py	(revision 7a7a09ee4b7ce51be85ae0eb65a65fa6e4d04188)
+++ server/lib/gutenbach/ipp/operations/print_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -3,5 +3,4 @@
 from . import verify_requesting_username
 from . import make_empty_response
-from . import make_printer_attributes
 
 import logging
@@ -237,5 +236,5 @@
     pass
 
-def make_print_job_response(attrs, request):
+def make_print_job_response(job, request):
     """3.2.1.2 Print-Job Response
 
Index: server/lib/gutenbach/ipp/operations/print_uri.py
===================================================================
--- server/lib/gutenbach/ipp/operations/print_uri.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/print_uri.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_print_uri_request(request):
+    pass
+
+def make_print_uri_response(uri, request):
+    pass
Index: server/lib/gutenbach/ipp/operations/promote_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/promote_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/promote_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_promote_job_request(request):
+    pass
+
+def make_promote_job_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/restart_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/restart_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/restart_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_restart_job_request(request):
+    pass
+
+def make_restart_job_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/resume_printer.py
===================================================================
--- server/lib/gutenbach/ipp/operations/resume_printer.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/resume_printer.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_resume_printer_request(request):
+    pass
+
+def make_resume_printer_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/send_document.py
===================================================================
--- server/lib/gutenbach/ipp/operations/send_document.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/send_document.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_send_document_request(request):
+    pass
+
+def make_send_document_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/send_uri.py
===================================================================
--- server/lib/gutenbach/ipp/operations/send_uri.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/send_uri.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_send_uri_request(request):
+    pass
+
+def make_send_uri_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/set_job_attributes.py
===================================================================
--- server/lib/gutenbach/ipp/operations/set_job_attributes.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/set_job_attributes.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_set_job_attributes_request(request):
+    pass
+
+def make_set_job_attributes_response(request):
+    pass
Index: server/lib/gutenbach/ipp/operations/set_printer_attributes.py
===================================================================
--- server/lib/gutenbach/ipp/operations/set_printer_attributes.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/set_printer_attributes.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_set_printer_attributes_request(request):
+    pass
+
+def make_set_printer_attributes_response(attrs, request):
+    pass
Index: server/lib/gutenbach/ipp/operations/validate_job.py
===================================================================
--- server/lib/gutenbach/ipp/operations/validate_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
+++ server/lib/gutenbach/ipp/operations/validate_job.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -0,0 +1,13 @@
+from . import verify_operations
+from . import verify_printer_uri
+from . import verify_requesting_username
+from . import make_empty_response
+
+import logging
+logger = logging.getLogger(__name__)
+
+def verify_validate_job_request(request):
+    pass
+
+def make_validate_job_response(job, request):
+    pass
Index: server/lib/gutenbach/server/requests.py
===================================================================
--- server/lib/gutenbach/server/requests.py	(revision 7a7a09ee4b7ce51be85ae0eb65a65fa6e4d04188)
+++ server/lib/gutenbach/server/requests.py	(revision e70c020a46e045a50a99e8f126ce7e154a298535)
@@ -237,14 +237,14 @@
         pass
 
+    def restart_job(self, request):
+        pass
+
+    def promote_job(self, request):
+        pass
+
+    ##### CUPS Specific Commands
+
     def cups_get_document(self, request):
         pass
-
-    def restart_job(self, request):
-        pass
-
-    def promote_job(self, request):
-        pass
-
-    ##### CUPS Specific Commands
 
     @handler_for(consts.Operations.CUPS_GET_DEFAULT)
